---
title: CSSPrimitiveValue.getFloatValue()
slug: Web/API/CSSPrimitiveValue/getFloatValue
tags:
  - API
  - CSSPrimitiveValue
  - Method
  - getFloatValue
---
<div>{{APIRef("DOM")}}</div>

<p>The <code><strong>getFloatValue()</strong></code> method of the {{domxref("CSSPrimitiveValue")}} interface is used to get a float value in a specified unit. If this CSS value doesn't contain a float value or can't be converted into the specified unit, a {{domxref("DOMException")}} is raised.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>floatValue</var> = <var>cssPrimitiveValue</var>.getFloatValue(unit);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>unitType</dt>
 <dd>An <code>unsigned short</code> representing the code for the unit type, in which the value should be returned. Valid values are:
 <table class="standard-table">
  <tbody>
   <tr>
    <td class="header">Constant</td>
    <td class="header">Description</td>
   </tr>
   <tr>
    <td><code>CSS_CM</code></td>
    <td>The value is a {{cssxref("&lt;length&gt;")}} in centimeters.</td>
   </tr>
   <tr>
    <td><code>CSS_DEG</code></td>
    <td>The value is an {{cssxref("&lt;angle&gt;")}} in degrees.</td>
   </tr>
   <tr>
    <td><code>CSS_DIMENSION</code></td>
    <td>The value is a {{cssxref("&lt;number&gt;")}} with an unknown dimension.</td>
   </tr>
   <tr>
    <td><code>CSS_EMS</code></td>
    <td>The value is a {{cssxref("&lt;length&gt;")}} in em units.</td>
   </tr>
   <tr>
    <td><code>CSS_EXS</code></td>
    <td>The value is a {{cssxref("&lt;length&gt;")}} in ex units.</td>
   </tr>
   <tr>
    <td><code>CSS_GRAD</code></td>
    <td>The value is an {{cssxref("&lt;angle&gt;")}} in grads.</td>
   </tr>
   <tr>
    <td><code>CSS_HZ</code></td>
    <td>The value is a {{cssxref("&lt;frequency&gt;")}} in Hertz. The value can be obtained by using the getFloatValue method.</td>
   </tr>
   <tr>
    <td><code>CSS_IN</code></td>
    <td>The value is a {{cssxref("&lt;length&gt;")}} in inches.</td>
   </tr>
   <tr>
    <td><code>CSS_KHZ</code></td>
    <td>The value is a {{cssxref("&lt;frequency&gt;")}} in Kilohertz.</td>
   </tr>
   <tr>
    <td><code>CSS_MM</code></td>
    <td>The value is a {{cssxref("&lt;length&gt;")}} in millimeters.</td>
   </tr>
   <tr>
    <td><code>CSS_MS</code></td>
    <td>The value is a {{cssxref("&lt;time&gt;")}} in milliseconds.</td>
   </tr>
   <tr>
    <td><code>CSS_NUMBER</code></td>
    <td>The value is a simple {{cssxref("&lt;number&gt;")}}.</td>
   </tr>
   <tr>
    <td><code>CSS_PC</code></td>
    <td>The value is a {{cssxref("&lt;length&gt;")}} in picas.</td>
   </tr>
   <tr>
    <td><code>CSS_PERCENTAGE</code></td>
    <td>The value is a {{cssxref("&lt;percentage&gt;")}}.</td>
   </tr>
   <tr>
    <td><code>CSS_PT</code></td>
    <td>The value is a {{cssxref("&lt;length&gt;")}} in points.</td>
   </tr>
   <tr>
    <td><code>CSS_PX</code></td>
    <td>The value is a {{cssxref("&lt;length&gt;")}} in pixels.</td>
   </tr>
   <tr>
    <td><code>CSS_RAD</code></td>
    <td>The value is an {{cssxref("&lt;angle&gt;")}} in radians.</td>
   </tr>
   <tr>
    <td><code>CSS_S</code></td>
    <td>The value is a {{cssxref("&lt;time&gt;")}} in seconds.</td>
   </tr>
  </tbody>
 </table>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A <code>float</code> value in the specified unit.</p>

<h3 id="Exceptions">Exceptions</h3>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col"><strong>Type</strong></th>
   <th scope="col"><strong>Description</strong></th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code>DOMException</code></td>
   <td>An <code>INVALID_ACCESS_ERR</code> is raised if the CSS value doesn't contain a float value or if the float value can't be converted into the specified unit.</td>
  </tr>
 </tbody>
</table>

<h2 id="Example">Example</h2>

<pre class="brush: js; highlight[3]">var cs = window.getComputedStyle(document.body);
var cssValue = cs.getPropertyCSSValue("margin-top");
console.log(cssValue.getFloatValue(CSSPrimitiveValue.CSS_CM));</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Style', 'css.html#CSS-CSSPrimitiveValue-getFloatValue', 'CSSPrimitiveValue.getFloatValue')}}</td>
   <td>{{Spec2('DOM2 Style')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.CSSPrimitiveValue.getFloatValue")}}</p>
</div>
